Bug 728319 - Segmentation fault for specific bin-dump
Summary: Segmentation fault for specific bin-dump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-dmidecode
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Petr Oros
QA Contact: Mike Gahagan
URL:
Whiteboard:
Depends On:
Blocks: 1359574 1366045
TreeView+ depends on / blocked
 
Reported: 2011-08-04 17:15 UTC by Petr Sklenar ⛄
Modified: 2017-03-21 10:45 UTC (History)
1 user (show)

Fixed In Version: python-dmidecode-3.10.15-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:45:31 UTC


Attachments (Terms of Use)
fuzzed binary dump (2.83 KB, application/octet-stream)
2011-08-04 17:15 UTC, Petr Sklenar ⛄
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0691 normal SHIPPED_LIVE python-dmidecode bug fix update 2017-03-21 12:38:27 UTC

Description Petr Sklenar ⛄ 2011-08-04 17:15:52 UTC
Created attachment 516749 [details]
fuzzed binary dump

Description of problem:
I used fuzzing to create damaged binary dump. Fuzzing is a technique how to little bit damage any input file.

Version-Release number of selected component (if applicable):
dmidecode-2.10-1.30.1.el6.x86_64
python-dmidecode-3.10.13-1.el6.x86_64

How reproducible:
try to create specific binary dump

Steps to Reproduce:
1. have a nice binary dump
2. use fuzzing tool to damage it , see attached fuzzed.bin
3. cat script.py 
import dmidecode
dmidecode.clear_warnings()
dmidecode.set_dev('fuzzed.bin')
x = dmidecode.dmidecodeXML()
x.SetResultType(dmidecode.DMIXML_DOC)
x.QuerySection('processor').saveFormatFileEnc('-','UTF-8',1)

4. python script.py
Segmentation fault (core dumped)

Actual results:
Segmentation fault (core dumped)

Expected results:
no segmentation fault, I would expect warning message

Additional info:
dmidecode --from-dump fuzzed.bin 
# dmidecode is able to read such a file

fuzzing: used zzuf http://caca.zoy.org/wiki/zzuf

Comment 5 Suzanne Yeghiayan 2012-02-14 23:12:25 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 RHEL Product and Program Management 2013-10-14 01:02:25 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 9 Mike Gahagan 2016-12-09 19:11:53 UTC
python-dmidecode-3.10.15-1.el6 manages to partially decode the corrupted dmi image dump, then provides a useful traceback with error messages about the DMI structures being wrong. I confirmed similar behavior with /usr/sbin/dmidecode. 

The previous version of python-dmidecode would seg-fault while producing no output.

Comment 11 errata-xmlrpc 2017-03-21 10:45:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0691.html


Note You need to log in before you can comment on or make changes to this bug.